#pragma once
#include "Entity.h"
#define CS_PESMOKE_CREATENAME L"CS_pe_smoke"
//ÑÌÎí
class CS_PeSmoke :
    public Entity
{
public:
    CS_PeSmoke();
    void Step() override;
    int ani_wait = 0;
    int style = 0;
};
std::shared_ptr<Entity> CreateCS_PeSmoke();

void SetCS_PeSmoke(std::shared_ptr<Entity> parent, float x, float y, int num);
void SetCS_PeSmoke2(std::shared_ptr<Entity> parent, float x, float y);
void SetCS_PeSmokeWater(std::shared_ptr<Entity> parent, float x, float y, int num);
#define SetCS_PeSmokeSmall(parent,x,y) SetCS_PeSmoke(parent,x,y,4)
#define SetCS_PeSmokeMedium(parent,x,y) SetCS_PeSmoke(parent,x,y,8)
#define SetCS_PeSmokeLarge(parent,x,y) SetCS_PeSmoke(parent,x,y,16)